aboutsummaryrefslogtreecommitdiffstats
path: root/emulators/bochs/files/bochs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'emulators/bochs/files/bochs.sh')
-rw-r--r--emulators/bochs/files/bochs.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/emulators/bochs/files/bochs.sh b/emulators/bochs/files/bochs.sh
new file mode 100644
index 000000000000..1c93e9789f2c
--- /dev/null
+++ b/emulators/bochs/files/bochs.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# Bochs wrapper
+#
+
+bin_dir=%%PREFIX%%/libexec
+xbin_dir=%%X11BASE%%/bin
+font_dir=%%FONT_DIR%%
+
+${xbin_dir}/xset -q | grep -q ${font_dir}
+rc=$?
+
+if [ $rc != 0 ]; then
+ ${xbin_dir}/xset fp+ ${font_dir}
+ ${xbin_dir}/xset fp rehash
+fi
+
+${bin_dir}/bochs.bin ${1+"$@"}
+
+if [ $rc != 0 ]; then
+ ${xbin_dir}/xset fp- ${font_dir}
+ ${xbin_dir}/xset fp rehash
+fi